#ifndef KROSSCONTEXT_H
#define KROSSCONTEXT_H

#include<QtCore/QVariant>

//This is file has been generated by xmltokross, you should not edit this file but the files used to generate it.

namespace KDevelop { class Context; }
namespace KDevelop { class EditorContext; }
namespace KDevelop { class FileContext; }
namespace KDevelop { class ProjectItemContext; }
namespace Handlers
{
	QVariant _kDevelopProjectItemContextHandler(void* type);
	QVariant kDevelopProjectItemContextHandler(KDevelop::ProjectItemContext* type);
	QVariant kDevelopProjectItemContextHandler(const KDevelop::ProjectItemContext* type);

	QVariant _kDevelopFileContextHandler(void* type);
	QVariant kDevelopFileContextHandler(KDevelop::FileContext* type);
	QVariant kDevelopFileContextHandler(const KDevelop::FileContext* type);

	QVariant _kDevelopEditorContextHandler(void* type);
	QVariant kDevelopEditorContextHandler(KDevelop::EditorContext* type);
	QVariant kDevelopEditorContextHandler(const KDevelop::EditorContext* type);

	QVariant _kDevelopContextHandler(void* type);
	QVariant kDevelopContextHandler(KDevelop::Context* type);
	QVariant kDevelopContextHandler(const KDevelop::Context* type);

}

#endif
